NX Open C++ Reference Guide
|
Represents a @link Features::ChangeShellThickness Features::ChangeShellThickness@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateChangeShellThicknessBuilder Features::FeatureCollection::CreateChangeShellThicknessBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | AddEntities (const std::vector< NXOpen::NXObject * > &entities) |
Adds entities which have same wall thickness value as the selected face Created in NX6.0.0. | |
NXOpen::Features::FaceRecognitionBuilder * | FacesToChangeThickness () |
Returns the faces to be selected to change thickness Created in NX7.0.0. | |
bool | NeighborsEnabled () |
Returns the flag to select neighbor faces that have the same wall thickness value as the face selected. | |
void | RemoveEntities (const std::vector< NXOpen::NXObject * > &entities) |
Removes entities Created in NX6.0.0. | |
void | SetNeighborsEnabled (bool selectNeighbors) |
Sets the flag to select neighbor faces that have the same wall thickness value as the face selected. | |
NXOpen::Expression * | WallThickness () |
Returns the wall thickness Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ChangeShellThickness Features::ChangeShellThickness@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateChangeShellThicknessBuilder Features::FeatureCollection::CreateChangeShellThicknessBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FacesToChangeThickness.CoaxialEnabled |
0 |
FacesToChangeThickness.CoplanarAxesEnabled |
0 |
FacesToChangeThickness.CoplanarEnabled |
0 |
FacesToChangeThickness.EqualDiameterEnabled |
0 |
FacesToChangeThickness.OffsetEnabled |
0 |
FacesToChangeThickness.ParallelEnabled |
0 |
FacesToChangeThickness.PerpendicularEnabled |
0 |
FacesToChangeThickness.SymmetricEnabled |
0 |
FacesToChangeThickness.TangentEnabled |
0 |
FacesToChangeThickness.ThicknessChainEnabled |
0 |
FacesToChangeThickness.UseFaceBrowse |
1 |
NeighborsEnabled |
True |
WallThickness.Value |
5.0 (millimeters part), 0.5 (inches part) |
Created in NX6.0.0.
void NXOpen::Features::ChangeShellThicknessBuilder::AddEntities | ( | const std::vector< NXOpen::NXObject * > & | entities | ) |
Adds entities which have same wall thickness value as the selected face
Created in NX6.0.0.
License requirements : None
entities | Objects to add |
NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::ChangeShellThicknessBuilder::FacesToChangeThickness | ( | ) |
Returns the faces to be selected to change thickness
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::ChangeShellThicknessBuilder::NeighborsEnabled | ( | ) |
Returns the flag to select neighbor faces that have the same wall thickness value as the face selected.
If true, neighbor faces with same wall thickness value as the face selected will be included automatically.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::ChangeShellThicknessBuilder::RemoveEntities | ( | const std::vector< NXOpen::NXObject * > & | entities | ) |
Removes entities
Created in NX6.0.0.
License requirements : None
entities | Objects to remove |
void NXOpen::Features::ChangeShellThicknessBuilder::SetNeighborsEnabled | ( | bool | selectNeighbors | ) |
Sets the flag to select neighbor faces that have the same wall thickness value as the face selected.
If true, neighbor faces with same wall thickness value as the face selected will be included automatically.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
selectNeighbors | selectneighbors |
NXOpen::Expression* NXOpen::Features::ChangeShellThicknessBuilder::WallThickness | ( | ) |
Returns the wall thickness
Created in NX6.0.0.
License requirements : None